Nooku Framework (Koowa) Breaks Joomla 3.5.1 when enabled

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
User avatar
iait
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Mon Dec 03, 2007 4:41 pm

Nooku Framework (Koowa) Breaks Joomla 3.5.1 when enabled

Post by iait » Tue May 03, 2016 9:20 pm

I ran into this problem today and I can't figure out whats going on. The site owners reported to me that the site was down with Server 500 errors, turns out that I had to disable the Nooku Framework via the database to get the site up again. And enabling the Nooku Framework (Koowa) in Joomla 3.5.1 will result in server error 500 site wide.

PHP errors:

Code: Select all

[error] 23882#23882: *577 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Class 'ComKoowaClassLocatorPlugin' not found in /path-to-site/versions/current/plugins/system/koowa/koowa.php on line 182" while reading response header from upstream, client: xxx.xxx.xxx.xxx, request: "GET... 
Disabling the plugin will allow the site to come back up, but won't allow for the editing of content in the backend and some other random blank pages, with the following:

PHP errors:

Code: Select all

[error] 23882#23882: *2205 FastCGI sent in stderr: "PHP message: PHP Notice:  Undefined offset: 0 in /path-to-site/versions/current/libraries/cms/component/router/legacy.php on line 73" while reading response header from upstream...
And

PHP message:

Code: Select all

PHP Notice:  Undefined variable: itemid in /path-to-site/versions/current/plugins/osmap/com_content/com_content.php on line 554
And

Code: Select all

[error] 23882#23882: *2233 FastCGI sent in stderr: "PHP message: PHP Notice:  Undefined offset: 0 in /path-to-site/versions/current/libraries/cms/component/router/legacy.php on line 73" while reading response header from upstream...
I'm using PHP 5.6 and Joomla 3.5.1, anyone have any ideas whats going on?
Last edited by iait on Wed May 04, 2016 2:59 pm, edited 1 time in total.

User avatar
iait
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Mon Dec 03, 2007 4:41 pm

Re: Nooku Framework (Koowa) Breaks Joomla 3.5.1 when enabled

Post by iait » Wed May 04, 2016 5:14 am

I fixed this, and for those of you who might run into this...

The Koowa plugin is part of the Joomlatools framework. If you use DocMan or FILEman, and the EXTman, you'll need to go to Joomlatools.com and download and install the latest version of the EXTman and your Component.

After doing so I re-enabled the "System - Nooku Framework" plugin and got it everything working again.

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 11203
Joined: Thu Feb 15, 2007 5:48 am
Location: Suzhou, China

Re: Nooku Framework (Koowa) Breaks Joomla 3.5.1 when enabled

Post by toivo » Wed May 04, 2016 7:36 am

Thanks for the update. Now you can edit the first post in this thread and select the green tick as the post icon, to mark the issue resolved.
Toivo Talikka, Global Moderator


Locked

Return to “Migrating and Upgrading to Joomla! 3.x”